В этой статье мы рассмотрим способы установки проприетарного драйвера AMD (Catalyst/FGLRX) в Ubuntu Linux, а так же некоторые твики в их настройке. Ранее продукты ATI были не очень популярны в среде пользователей Linux из-за отсутствия нормальных драйверов для них. Однако, c момента объединения ATI с AMD, которая гораздо более лояльно относится к Linux, драйверы были в значительной степени доработаны, в том числе для их использования совместно с WINE. У обладателей видеокарт AMD есть несколько вариантов:

  1. Использовать свободные драйвера AMD, которые в большинстве случаев работают стабильнее проприетарных.
  2. Использовать проприетарные драйвера, предлагаемые Ubuntu.
  3. Установить проприетарные драйвера из пакетов сгенерированных инсталлятором с сайта AMD.

Проприетарный драйвер

Установка проприетарного драйвера из репозиториев Ubuntu

Надо отметить, что этот способ является самым простым. Все, что вам нужно сделать, это открыть параметры системы, далее выбрать Источники приложенийДополнительные драйверы, затем выбрать проприетарный драйвер, либо проприетарный драйвер с плановыми обновлениями, и нажать кнопку Применить изменения. Дальше система сделает все за вас и в завершении потребует перезагрузку для активации нового драйвера.

Установка через командную строку:

sudo apt-get install linux-headers-generic fglrx fglrx-amdcccle

Установка драйвера AMD вручную

Catalyst 12.6 и новее, не поддерживает Radeon HD HD5xxV и модели до Radeon HD 5165. Если у вас неподдерживаемая видеокарта, используйте Ubuntu 14.04 со свободным драйвером.

Подготовка к установке

Для начала нам потребуется скачать проприетарный драйвер последней версии http://support.amd.com/ru-ru/download/desktop?os=Linux+x86 и установить зависимости, необходимые для сборки драйвера. Для того, чтобы установить требуемые пакеты выполните:

  • Для 64-битных систем

    sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases xserver-xorg-dev libgcc1 lib32gcc1 libc6-i386
  • Для 32-битных систем

    sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases xserver-xorg-dev libgcc1

Если проприетарный драйвер AMD ранее был установлен вами без использования механизма генерации пакетов, то перед тем как продолжить его необходимо будет предварительно удалить. Для этого выполняем следующие действия:
  • Открываем терминал и вводим команду:

    sudo sh /usr/share/ati/fglrx-uninstall.sh --force
  • Перезагружаем систему.

Установка драйвера

  • Генерируем пакеты для вашей версии дистрибутива. Обратите внимание на то, что вместо Ubuntu/trusty вам может понадобиться указать используемую вами версию дистрибутива, если она отлична от Ubuntu 14.04.

    sh amd-driver-installer-14.10.1006.1001-x86.x86_64.run --buildpkg Ubuntu/trusty
  • Устанавливаем сгенерированные пакеты:

    sudo dpkg -i fglrx*.deb
  • Создаём конфигурационный файл видео драйвера:

    sudo amdconfig --initial -f

После успешной установки нужно закрыть терминал и выполнить перезагрузку системы.

Другой вариант установки

Для Ubuntu совсем не обязательно указывать версию, инсталлятор сам определит

Более того в этом варианте не требуется проводить подготовку к установке, установщик сам все сделает, только жмите далее когда спросит ;)

Скачаем, распакуем архив. Сгенерируем и установим пакеты одной командой. На всякий случай в ручную создадим xorg.conf. Перезагрузим систему.

cd ~
wget -c --referer='http://support.amd.com/ru-ru/download/desktop?os=Linux+x86' http://www2.ati.com/drivers/linux/amd-catalyst-14-4-linux-x86-x86-64.zip
unzip amd-catalyst-14-4-linux-x86-x86-64.zip
cd fglrx-14.10.1006
sudo sh amd-driver-installer-14.10.1006-x86.x86_64.run --buildandinstallpkg
sudo apt-get -f install
sudo amdconfig --initial -f
sudo reboot

Установка legacy-драйвера для видеокарт HD2xxx-4xxx

AMD перевела указанные видеокарты в разряд legacy. Это значит, что обычные драйверы уже не поддерживают эти адаптеры. AMD выпустила специальные legacy драйверы, но они не поддерживают xorg версии 1.13, который стоит в Ubuntu 12.04.2, 12.10, 13.04. Поэтому для установки этих драйверов необходимо понизить версию xorg до 1.12.

Tomasz Makarewicz сделал ppa, c помощью которого автоматически устанавливаются драйверы и понижается версия xorg. Делается это так.

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

Пред установкой необходимо убедиться, что в системе стоит пакет xserver-xorg-lts-quantal. Для этого можно воспользоваться командой

dpkg -l | grep xserver-xorg

В результате будет выведен список пакетов. Если имена пакетов оканчиваются на lts-quantal, значит можно устанавливать.

Настройка проприетарного драйвера

Если вы установили драйверы на ноутбук hp с двумя видеокартами ATI/AMD, то вам нужно в настройках Amd Catalyst ⇒ 3D ⇒ переключаемые графические адаптеры выбрать Энергосберегающий графический адаптер, поскольку высокопроизводительный работать не будет. Подробнее

Для дальнейших настроек: разрешения, частоты обновления и других параметров монитора, можно воспользоватся Система ⇒ Параметры ⇒ AMD Catalyst Control Center (для Администратора). ati-ubuntu4.jpeg

Корректное и полное удаление проприетарного драйвера

Если что-то пошло не так и вы хотите вернуть всё обратно до состояния, предшествовавшего установке проприетарного драйвера FGRLX, можно столкнуться с некоторыми трудностями. Однако, выход есть1). Можно выполнить последовательно следующие команды в терминале:

apt-get remove --purge xorg-driver-fglrx fglrx\*

— удалить все пакеты fgrlx вместе с файлами настроек

apt-get install --reinstall libgl1-mesa-glx libgl1-mesa-dri

— переустановка пакетов свободных драйверов

В версии Убунту 12.04 можно установить более новые пакеты libgl1-mesa-glx-lts-quantal и libgl1-mesa-dri-lts-quantal, libgl1-mesa-glx-lts-raring и libgl1-mesa-dri-lts-raring. Соответственно, к последующим командам тоже надо добавлять -lts-quantal или -lts-raring, в зависимости от устанавливаемых пакетов.

dpkg-reconfigure xserver-xorg

— перенастройка пакета xserver-xorg для учёта произведённых изменений

apt-get install --reinstall xserver-xorg-core

— переустановка xorg для учёта изменений. Может понадобиться, если нужны эффекты рабочего стола.

Аппаратное ускорение декодирования видео

Смотрите статью Воспроизведение HD-video.

Решение некоторых вопросов

Video Tearing

AMD/ATI утверждает, что опция «Tear Free Video» включена по умолчанию, но это не в случае с Catalyst 12-3, который был установлен на Kubuntu 12.04. Если у вас возникли проблемы с tearing, убедитесь, что «Tear Free Video» включен. Вы можете найти эту опцию в центре управления Catalyst в разделе «Опции» или вы можете использовать следующую команду:

sudo amdconfig --sync-video=on

Эта опция не вступит в силу до перезагрузки X (т.е. выхода пользователя из сеанса). Если вы используете композитинг, вы также должны убедиться, что vsync включена в настройках композитинга. Было обнаружено, что vsync было включено по умолчанию, но здесь есть соответствующие настройки, если вы хотите поэкспериментировать.

kwin

Вы можете включить VSync для KWin в Системных Настройках → Эффекты рабочего Стола → вкладка Дополнительно

Compiz (Unity/GNOME-Shell)

TODO: Смотрите, если есть более дружественный способ убедиться, что VSync включен без установки CCSM. Установить compiz менеджер настроек:

sudo apt-get install compizconfig-settings-manager
ccsm

«Синхронизация с VBlank» находится в «OpenGL» в подразделе «Общие».

Гибридная графика и Catalyst

Существует два основных типа гибридных конструкций. Старшие гибридные системы используют мультиплексор (mux) для переключения между GPU. Новые системы (те, что с PowerXpress >= 4.0) используют muxless.

ATI/ATI Hybrids

По состоянию на Catalyst 11-8, переключение между двумя картами ATI (и, возможно, Intel / ATI muxless тоже?) должна быть выполнима, хотя это не ясно, если это относится ко всем ATI/ATI гибридам или только к тем, что используют muxless. Можно было бы использовать amdconfig в PowerXpress вариантах переключения между интегрированной и дискретной карты, например, так:

amdconfig --pxl           # Список текущих активированных GPU
sudo amdconfig --px-dgpu  # Активировать дискретный GPU (Высокопроизводительный режим), необходимо повторно запустить X вступили в силу
sudo amdconfig --px-igpu  # Активировать интегрированный GPU (режим Энергосбережения), должны повторно запустить X вступили в силу

После переключения, можно было бы выйти и вернуться обратно для перезапуска X-ов.

Intel/ATI Hybrids

Можно использовать официальные драйвера, но есть две проблемы ( Launchpad Bug: #1068404): Проблемы несовместимости между intel и драйверами fglrx (Это дает ошибку сегментации в X-сервера) Некоторые пути и отсутствует для OpenGL работы драйвера fglrx (Это предотвращает работу приложений, которые требуют прямого рендеринга, например, Unity/игры/и т.д., от правильной загрузки драйверов) Если вы будете следовать инструкциям, приведенным в HOWTO по бинарным драйверам, вы должны получить функциональную конфигурацию.

Существует еще одна ошибка, если вы используете интегрированный GPU (Intel), что делает сбой X сервера.

Для обхода этих ошибок, нужно использовать дискретный GPU (ATI). Для получения дополнительной информации Вы можете следить за этой темой

Сценарий решения
Script by anion155, http://pastebin.com/1ALmnqx5.
It can help you install & uninstall fglrx drivers for this configuration.
You must change 13 line in the script for your directory.

Техническая поддержка AMD

Если при использовании проприетарного драйвера AMD у вас возникнут какие-либо проблемы, то вы можете обратиться в техническую поддержку компании AMD:

Рекомендуется сообщать о возникших проблемах как минимум по первой и второй ссылке (если ваша проблема связана с игрой из Steam - то и по третьей). При обращении в техническую поддержку прикладывайте к тикету отчёт, генерируемый скриптом /usr/share/fglrx/atigetsysteminfo.sh (запускать с помощью sudo).